Create Taskpost https://{hostname}/api/talk/task-management/v1/tasksThis operation creates a task. Authorization and Permissions An OpenAm or UKG Authentication token is required to make a post. The user must have content creation permission, which is granted by a Talk administrator. Body ParamsThe Create Task request payload.titlestringrequiredlength between 3 and 100The title of the task.descriptionstringrequiredlength between 5 and 500The description of the task.stepStatenumberThe step state, which represents where the user ended their last editing session.assigneesrequiredA list of person IDs or person numbers of assignees. You must specify personId or personNumber, but not both. Required when draft is false. Optional when draft is true.Object 1Object 2assignees objectduedatedate-timeThe due date and time of a task.isChecklistRequiredbooleanDefaults to falseA boolean indicator of whether or not a checklist is required for a task.falsetruefalsechecklistsarray of objectschecklistsADD objectisChecklistIncludedbooleanDefaults to falseA boolean indicator of whether or not a checklist is included for a task.falsetruefalseremindernumberenumA task reminder specified in seconds that represent 1,000 hours or 1,000 days before a due date.3600000360000086400000Allowed:360000086400000isDraftbooleanDefaults to falseA boolean indicator of whether or not a task is in Draft mode.falsetruefalseisAttachmentRequiredbooleanDefaults to falseA boolean indicator of whether or not an Attachment is required for a task.truetruefalsetaskAttachmentsarray of objectstaskAttachmentsADD objectHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 201Successfully created task. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 429The HTTP status code 429 Too Many Requests error, thrown when the user exceeds the allowed rate limit for the API. 500API error when the request gives 500 internal server error when the server is not able to process the requestUpdated 3 months ago Retrieve All TasksRetrieve Task by IDDid this page help you?YesNo